Package org.eclipse.jdt.ui.text.java

# Interface IProblemLocation

public interface IProblemLocation
Problem information for quick fix and quick assist processors.

Note: this interface is not intended to be implemented.

Since:
  3.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`ASTNode`
`getCoveredNode(CompilationUnit astRoot)`
Convenience method to evaluate the AST node covered by this problem.
`ASTNode`
`getCoveringNode(CompilationUnit astRoot)`
Convenience method to evaluate the AST node covering this problem.
`int`
`getLength()`
Returns the length of the problem.
`String`
`getMarkerType()`
Returns the marker type of this problem.
`int`
`getOffset()`
Returns the start offset of the problem.
`String[]`
`getProblemArguments()`
Returns the original arguments recorded into the problem.
`int`
`getProblemId()`
Returns the id of problem.
`boolean`
`isError()`
Returns if the problem has error severity.

## Method Details

### getOffset

int getOffset()
Returns the start offset of the problem.

Returns:
  the start offset of the problem

### getLength

int getLength()
Returns the length of the problem.

Returns:
  the length of the problem

### getMarkerType

String getMarkerType()
Returns the marker type of this problem.

Returns:
  The marker type of the problem.
Since:
  3.2

### getProblemId

int getProblemId()
Returns the id of problem. Note that problem ids are defined per problem marker type. See `IProblem` for id definitions for problems of type `org.eclipse.jdt.core.problem` and `org.eclipse.jdt.core.task`.

Returns:
  The id of the problem.

### getProblemArguments

String[] getProblemArguments()
Returns the original arguments recorded into the problem.

Returns:
  String[] Returns the problem arguments.

### isError

boolean isError()
Returns if the problem has error severity.

Returns:
  `true` if the problem has error severity

### getCoveringNode

ASTNode getCoveringNode(CompilationUnit astRoot)
Convenience method to evaluate the AST node covering this problem.

Parameters:
  `astRoot` - The root node of the current AST
Returns:
  Returns the node that covers the location of the problem

### getCoveredNode

ASTNode getCoveredNode(CompilationUnit astRoot)
Convenience method to evaluate the AST node covered by this problem.

Parameters:
  `astRoot` - The root node of the current AST
Returns:
  Returns the node that is covered by the location of the problem